<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="author" content="irstheme">

    <title>Visits</title>

    <!--    <link href="assets/css/themify-icons.css" rel="stylesheet">-->
    <link th:href="@{~/assets/css/font-awesome.min.css}" href="assets/css/font-awesome.min.css" rel="stylesheet">
    <link th:href="@{~/assets/fonts/flaticon/flaticon.css}" href="assets/fonts/flaticon/flaticon.css" rel="stylesheet">
    <link th:href="@{~/assets/css/bootstrap.min.css}" href="assets/css/bootstrap.min.css" rel="stylesheet">
    <link th:href="@{~/assets/css/animate.css}" href="assets/css/animate.css" rel="stylesheet">
    <link th:href="@{~/assets/css/owl.carousel.css}" href="assets/css/owl.carousel.css" rel="stylesheet">
    <link th:href="@{~/assets/css/owl.theme.css}" href="assets/css/owl.theme.css" rel="stylesheet">
    <link th:href="@{~/assets/css/slick.css}" href="assets/css/slick.css" rel="stylesheet">
    <link th:href="@{~/assets/css/slick-theme.css}" href="assets/css/slick-theme.css" rel="stylesheet">
    <link th:href="@{~/assets/css/owl.transitions.css}" href="assets/css/owl.transitions.css" rel="stylesheet">
    <link th:href="@{~/assets/css/jquery.fancybox.css}" href="assets/css/jquery.fancybox.css" rel="stylesheet">
    <link th:href="@{~/assets/css/odometer-theme-default.css}" href="assets/css/odometer-theme-default.css"
          rel="stylesheet">
    <link th:href="@{~/assets/css/jquery.bxslider.min.css}" href="assets/css/jquery.bxslider.min.css" rel="stylesheet">
    <link th:href="@{~/assets/css/style.css}" href="assets/css/style.css" rel="stylesheet">
    <link th:href="@{~/assets/css/responsive.css}" href="assets/css/responsive.css" rel="stylesheet">

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
    <script th:src="@{~/https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js}"
            src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
    <script th:src="@{~/https://oss.maxcdn.com/respond/1.4.2/respond.min.js}"
            src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->

</head>

<body>

<!-- start page-wrapper -->
<div class="page-wrapper">

    <!-- start preloader -->
    <div class="preloader">
        <div class="lds-ripple">
            <div></div>
            <div></div>
        </div>
    </div>
    <!-- end preloader -->

    <!-- Start header -->
    <header id="header" class="site-header header-style-1">
        <a style="margin-left: 150px" class="navbar-brand" th:href="@{/}" href="#"><img src="../static/assets/images/our-logo.png" alt></a>
        <div th:insert="fragments/navbar.html"></div>
    </header>
    <!-- end of header -->
    <div class="service-page-style">
        <!-- start page-title -->
        <section class="page-title">
            <div class="container">
                <div class="row">
                    <div class="col col-xs-12">
                        <h2>Visits</h2>
                        <ol class="breadcrumb">
                            <li><a href="index.html">Home</a></li>
                            <li>Visits</li>
                        </ol>
                    </div>
                </div> <!-- end row -->
            </div> <!-- end container -->
        </section>
        <!-- end page-title -->
        <!-- .hx-team-area start -->
    </div>


    <a style="margin-left: 44.5%;margin-bottom: 50px;margin-top: 50px"
       th:if="${currentUser.isEmployee() && isHidden != true}" data-toggle="modal"
       data-target="#quoteModal" href="#"
       class="theme-btn-s2">Create Visit</a>

    <form th:object="${currencyConvertDto}" th:action="@{/visits/convert}" method="post">
        <div class="grid-container-convert">
            <div class="item1">
                <select class="form-control" th:field="*{currencyId}">
                    <option th:each="currency: ${currencies}"
                            th:value="${currency.id}"
                            th:text="${currency.type}"
                            selected value=1>...
                    </option>
                </select>
            </div>
            <div class="item2">
                <button type="submit" class="btn btn-primary">Convert</button>
            </div>
        </div>
    </form>

    <div class="row">
        <form th:object="${visitFilterDto}" th:action="@{/visits/filter}"
              method="post">
            <div class="grid-sh-container">
                <div class="grid-sh-item1">
                    <label for="plate">Licence PLate</label>
                    <input id="plate" type="text" class="form-control"
                           placeholder="License Plate" th:field="*{licensePlate}">
                </div>
                <div class="grid-sh-item2">
                    <label for="from-date-search">From Date:</label>
                    <input id="from-date-search"
                           name="from-date-search"
                           type="date" class="form-control" placeholder=""
                           th:field="*{fromDate}">
                </div>
                <div class="grid-sh-item3">
                    <label for="to-date-search">To Date:</label>
                    <input id="to-date-search"
                           name="to-date-search"
                           type="date" class="form-control" placeholder=""
                           th:field="*{toDate}">
                </div>
                <div class="grid-sh-item4">
                    <button type="submit" class="btn btn-primary">Filter</button>
                </div>
            </div>
        </form>
    </div>

    <div class="modal fade" id="quoteModal" tabindex="-1"
         role="dialog"
         aria-labelledby="quoteModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span></button>
                    <h3 class="modal-title" id="quoteModalLabel">Add Shipment Details</h3>
                </div>
                <div class="modal-body">
                    <form id="register-form" th:action="@{/visits/create}" th:object="${visitDto}"
                          method="POST" onsubmit="return(validate());">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="license-plate">License Plate</label>
                                    <input id="license-plate" name="license-plate"
                                           type="text" class="form-control"
                                           required autofocus placeholder=""
                                           th:field="*{licensePlate}">
                                    <span style="color: #be0003" id="error-plate-visit"></span>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="visitation-date">Visitation Date</label>
                                    <input id="visitation-date" name="visitation-date"
                                           type="date" class="form-control"
                                           required autofocus placeholder=""
                                           th:field="*{date}">
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="statuses">Status:</label>
                                    <select name="statuses" id="statuses"
                                            th:field="*{statusId}">
                                        <option th:each="status: ${statuses}"
                                                th:value="${status.id}"
                                                th:text="${status.type}"
                                                th:selected="${status.id==1}"></option>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <p>Choose services:</p>
                        <div class="visits-block">
                            <div th:each="service: ${services}">
                                <input type="checkbox" id="service" name="service" th:field="*{servicesIds}"
                                       th:value="${service.id}">
                                <label th:text="${service.id}" for="service">Service</label><br>
                                <div class="visits-block-clearfix">
                                    <div class="visit-icon">
                                        <i th:class="${service.icon}" class="flaticon-gear-1"></i>
                                    </div>
                                    <div class="visit-content">
                                        <div class="element1">
                                            <h3>Type:</h3>
                                            <p th:text="${service.type}">Type</p>
                                        </div>
                                        <div class="element1">
                                            <h3>Price:</h3>
                                            <p th:text="${service.price}">
                                                Price</p>
                                        </div>
                                    </div>
                                </div>
                            </div><!-- /.row -->
                        </div>
                        <button type="submit" class="btn btn-success">Create</button>
                    </form>
                </div>
            </div>
        </div>
    </div>


    <section class="visits-list">
        <div class="visits-block">
            <div th:each="visit: ${visits}">
                <div class="visits-block-clearfix">
                    <div class="visit-icon">
                        <i th:if="${visit.status.id} == 1 " class="flaticon-invoice"></i>
                        <i th:if="${visit.status.id} == 2 " class="flaticon-car-repair"></i>
                        <i th:if="${visit.status.id} == 3 " class="flaticon-car-service-1"></i>
                        <i th:if="${visit.status.id} == 4 " class="flaticon-car-service-1"></i>
                    </div>
                    <div class="visit-content">
                        <div class="element1">
                            <h3>Status</h3>
                            <p th:text="${visit.status.type}">Finished</p>
                        </div>
                        <div class="element1">
                            <h3>Vehicle Model:</h3>
                            <div class="grid-div">
                                <p th:text="${visit.vehicle.model.name}">Clio</p>
                                <p>, &nbsp</p>
                                <p th:text="${visit.vehicle.model.brand.name}">Renault</p>
                            </div>
                        </div>
                        <div class="element1">
                            <h3>License Plate:</h3>
                            <p th:text="${visit.vehicle.licensePlate}">CA7060PM</p>
                        </div>
                        <div class="element1">
                            <h3>Visitation Date:</h3>
                            <p th:text="${visit.date}">2020-03-04</p>
                        </div>
                        <div class="element1">
                            <h3>Price:</h3>
                            <div class="grid-div">
                                <p th:text="${visit.getTotalPriceFormatted(currencyRate)}">240.00</p>
                                <p th:text="${currencyConvertDto.type}">lv</p>
                            </div>
                        </div>
                        <div class="element1">
                            <a th:href="@{/services/visitId/{id}(id=${visit.id})}"
                               class="btn btn-primary">Services</a>
                        </div>
                        <div class="element1">
                            <a th:href="@{/visits/report/{id}/{currencyType}(id=${visit.id}, currencyType=${currencyConvertDto.type})}"
                               class="btn btn-primary" onclick="emailSentPDF()">Documentation</a>
                        </div>
                    </div>
                    <a th:if="${currentUser.isEmployee()}" th:href="@{/visits/delete/{id}(id=${visit.id})}"
                       class="btn btn-danger">Delete
                    </a>
                    <button  th:if="${currentUser.isEmployee()}" data-toggle="modal" data-target="#quoteModal-update" type="submit"
                            class="btn btn-warning"
                            href="#"> Update
                    </button>

                    <div class="modal fade" id="quoteModal-update" tabindex="-1"
                         role="dialog"
                         aria-labelledby="quoteModalLabel-update" aria-hidden="true">
                        <div class="modal-dialog modal-lg">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span></button>
                                    <h3 class="modal-title" id="quoteModalLabel-update">Add Shipment Details</h3>
                                </div>
                                <div class="modal-body">
                                    <form id="register-form-update" th:action="@{/visits/update/{id}(id=${visit.id})}"
                                          th:object="${visitDto}"
                                          method="POST" onsubmit="return(validateUpdate());">
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label for="license-plate-update">License Plate</label>
                                                    <input id="license-plate-update" name="license-plate-update"
                                                           type="text" class="form-control"
                                                           required autofocus placeholder=""
                                                           th:field="*{licensePlate}">
                                                    <span style="color: #be0003" id="error-plate-visit-update"></span>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label for="visitation-date-update">Visitation Date</label>
                                                    <input id="visitation-date-update" name="visitation-date-update"
                                                           type="date" class="form-control"
                                                           required autofocus placeholder=""
                                                           th:field="*{date}">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label for="statuses-update">Status:</label>
                                                    <select name="statuses-update" id="statuses-update"
                                                            th:field="*{statusId}">
                                                        <option th:each="status: ${statuses}"
                                                                th:value="${status.id}"
                                                                th:text="${status.type}"
                                                                th:selected="${status.id==1}"></option>
                                                    </select>
                                                </div>
                                            </div>
                                        </div>
                                        <p>Choose services:</p>
                                        <div class="visits-block">
                                            <div th:each="service: ${services}">
                                                <input type="checkbox" id="service-update" name="service-update"
                                                       th:field="*{servicesIds}"
                                                       th:value="${service.id}">
                                                <label th:text="${service.id}" for="service-update">Service</label><br>
                                                <div class="visits-block-clearfix">
                                                    <div class="visit-icon">
                                                        <i th:class="${service.icon}" class="flaticon-gear-1"></i>
                                                    </div>
                                                    <div class="visit-content">
                                                        <div class="element1">
                                                            <h3>Type:</h3>
                                                            <p th:text="${service.type}">Type</p>
                                                        </div>
                                                        <div class="element1">
                                                            <h3>Price:</h3>
                                                            <p th:text="${service.price}">
                                                                Price</p>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div><!-- /.row -->
                                        </div>
                                        <button type="submit" class="btn btn-success">Update</button>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>
<!-- end of page-wrapper -->


<!-- All JavaScript files
================================================== -->
<script th:src="@{~/assets/js/jquery.min.js}" src="assets/js/jquery.min.js"></script>
<script th:src="@{~/assets/js/bootstrap.min.js}" src="assets/js/bootstrap.min.js"></script>

<!-- Plugins for this template -->
<script th:src="@{~/assets/js/jquery-plugin-collection.js}" src="assets/js/jquery-plugin-collection.js"></script>

<!-- Custom script for this template -->
<script th:src="@{~/assets/js/script.js}" src="assets/js/script.js"></script>
</body>
</html>
<script type="text/javascript">
    function validate() {
        var licencePlate = document.getElementById('license-plate').value;
        var regex = /^[A-Z]{1,2}[0-9]{4}[A-Z]{2}$/;
        var plateTest = regex.test(licencePlate);
        if (plateTest === false) {
            document.getElementById('error-plate-visit').innerHTML = "Licence plate must be valid for Bulgaria";
            return false;
        }
    }
</script>
<script type="text/javascript">
    function validateUpdate() {
        var licencePlate = document.getElementById('license-plate-update').value;
        var regex = /^[A-Z]{1,2}[0-9]{4}[A-Z]{2}$/;
        var plateTest = regex.test(licencePlate);
        if (plateTest === false) {
            document.getElementById('error-plate-visit-update').innerHTML = "Licence plate must be valid for Bulgaria";
            return false;
        }
    }
</script>
<script type="text/javascript">
    function emailSentPDF() {
        alert("Email with PDF file was sent!")
    }
</script>